std::hash< __shared_ptr< _Tp, _Lp > > Struct Template Reference

`#include <shared_ptr_base.h>`

## Public Member Functions

size_t | operator() (const __shared_ptr< _Tp, _Lp > &__s) const noexcept

## Detailed Description

template<typename _Tp, _Lock_policy _Lp>
struct std::hash< __shared_ptr< _Tp, _Lp > >

std::hash specialization for __shared_ptr.

Definition at line 2254 of file shared_ptr_base.h.

## Member Function Documentation

## operator()()

template<typename _Tp, _Lock_policy _Lp>

size_t std::hash< __shared_ptr< _Tp, _Lp > >::operator() | ( | const __shared_ptr< _Tp, _Lp > & | __s | ) | const

inline noexcept

Definition at line 2258 of file shared_ptr_base.h.

The documentation for this struct was generated from the following file:

- shared_ptr_base.h